%define target avr

Name:           cross-%{target}-binutils
Version:        2.20
Release:        %mkrel 1
Epoch:		1
Summary:        Cross Compiling GNU binutils targeted at %{target}
Group:          Development/Other 
License:        GPLv2+
URL:            http://www.gnu.org/software/binutils/
Source0:        ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{version}.tar.bz2
Source1:        README.mageia
BuildRequires:  gawk texinfo

Obsoletes:      %{target}-binutils < 1:2.21
Provides:       %{target}-binutils = %epoch:%version-%release

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.

%files
%doc binutils-%{version}/COPYING binutils-%{version}/COPYING.LIB
%doc binutils-%{version}/README README.mageia
%{_prefix}/%{target}
%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1.xz

#--------------------------------------------------------------------

%prep
%setup -q -c

cp %{SOURCE1} .

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-werror --disable-nls
make %{?_smp_mflags}
popd build


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd build
# these are for win targets only
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres}.1
# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm    $RPM_BUILD_ROOT%{_libdir}/libiberty.a



%changelog

* Tue Jan 10 2012 dmorgan <dmorgan> 1:2.20-1.mga2
+ Revision: 194553
- Replace avr-binutils by cross-avr-binutils

  + kicer86 <kicer86>
    - Group changed to Development/Other

* Sun Jul 17 2011 kicer86 <kicer86> 2.21-1.mga2
+ Revision: 125248
- prefix set to %%{_libdir}
- lots of cleanups
- Added _exec_prefix definition. With it avr related stuff goes to /usr/lib/avr
- License and URL corrections
- imported package cross-avr-binutils


* Sat Jun 25 2011 Michał Walenciak <kicer86 at gmail.com>
- first Mageia spec

* Tue Nov 28 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added explicit libdirs for x86_64 build

* Sat Jul  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added prefix macros, updated to 2.15
- added buildrequires, fixed file lists

* Mon Nov 9 2002 Yukio Mituiwa <mituiwa@linet.gr.jp>
- initialization of spec file.
